#Disables callbacks to allies

do

	SpawnPing = function(data)
		if not PingLocked then
			if data.Marker and PingMarkers[data.Owner] and table.getsize(PingMarkers[data.Owner]) >= MaxPingMarkers then
				return
			elseif data.Marker and not PingMarkers[data.Owner] then
				PingMarkers[data.Owner] = {}
			end
			PingLocked = true
	
			if data.Marker and GetPingID(data.Owner) then
				data.ID = GetPingID(data.Owner)
				PingMarkers[data.Owner][data.ID] = data
			else
				local Entity = import('/lua/sim/Entity.lua').Entity
				data.Location[2] = data.Location[2]+2
				local pingSpec = {Owner = data.Owner, Location = data.Location}
				local ping = Entity(pingSpec)
				Warp(ping, Vector(data.Location[1], data.Location[2], data.Location[3]))
				ping:SetVizToFocusPlayer('Always')
				ping:SetVizToEnemies('Never')
				ping:SetVizToAllies('Always')
				ping:SetVizToNeutrals('Never')
				#HX code (line 28)
				if data.Mesh and data.DisplayMesh != false then
					ping:SetMesh('/meshes/game/ping_'..data.Mesh)
				end
				local animThread = ForkThread(AnimatePingMesh, ping)
				ForkThread(function() 
					WaitSeconds(data.Lifetime)
					KillThread(animThread)
					ping:Destroy()
				end)
			end
	
			SendData(data)
	
			ForkThread(function() WaitSeconds(1) PingLocked = false end)
		end
	end
	
end