do

local oldProjectile = Projectile

Projectile = Class(oldProjectile) {

    OnKilled = function(self, instigator, type, overkillRatio)
        oldProjectile.OnKilled(self, instigator, type, overkillRatio)
        local audio = self:GetBlueprint().Audio
        if audio then
			local mybrain = ArmyBrains[self:GetArmy()] 
			if mybrain and ArmyIsCivilian(mybrain:GetArmyIndex()) == false then
				local myFactionName = import('/lua/system/UnitUtils.lua').GetFactionName(mybrain:GetFactionIndex())
				local otherbrain = ArmyBrains[instigator:GetArmy()] 
				local otherFactionName = import('/lua/system/UnitUtils.lua').GetFactionName(otherbrain:GetFactionIndex())
				if GetFocusArmy() == mybrain:GetArmyIndex() then
					if audio['ProjectileIntercepted'..myFactionName] then
						mybrain:ProjectileIntercepted(audio['ProjectileIntercepted'..myFactionName])
					end
				elseif GetFocusArmy() == otherbrain:GetArmyIndex() then
					if audio['EnemyProjectileIntercepted'..otherFactionName] then
						otherbrain:EnemyProjectileIntercepted(audio['EnemyProjectileIntercepted'..otherFactionName])
					end
				end
			end
        end
    end,

}

end