table.insert(options.sound.items, {
	title = "High Mass Level Alert",
	key = "vo_MassCritical",
	type = 'toggle',
	default = true,
	custom = {
		states = {
			{text = "<LOC _No>", key = false },
			{text = "<LOC _Yes>", key = true },
		},
	},
})
table.insert(options.sound.items, {
	title = "Low Mass Level Alert",
	key = "vo_MassDangerous",
	type = 'toggle',
	default = true,
	custom = {
		states = {
			{text = "<LOC _No>", key = false },
			{text = "<LOC _Yes>", key = true },
		},
	},
})
table.insert(options.sound.items, {
	title = "Low Energy Level Alert",
	key = "vo_EnergyDangerous",
	type = 'toggle',
	default = true,
	custom = {
		states = {
			{text = "<LOC _No>", key = false },
			{text = "<LOC _Yes>", key = true },
		},
	},
})
table.insert(options.sound.items, {
	title = "Energy Depleted Alert",
	key = "vo_EnergyDepleted",
	type = 'toggle',
	default = true,
	custom = {
		states = {
			{text = "<LOC _No>", key = false },
			{text = "<LOC _Yes>", key = true },
		},
	},
})
table.insert(options.sound.items, {
	title = "Mass Depleted Alert",
	key = "vo_MassDepleted",
	type = 'toggle',
	default = true,
	custom = {
		states = {
			{text = "<LOC _No>", key = false },
			{text = "<LOC _Yes>", key = true },
		},
	},
})
table.insert(options.ui.items, {
	title = "Visual Alerts Mode",
	key = "vo_VisualAlertsMode",
	type = 'toggle',
	default = 1,
	custom = {
		states = {
			{text = "None", key = 0 },
			{text = "Only 2D", key = 1 },
			{text = "Only 3D", key = 2 },
			{text = "Normal (Both)", key = 3 },
		},
	},
})
table.insert(options.ui.items, {
	title = "Visual Alert Ping Sound",
	key = "vo_PingSound",
	type = 'toggle',
	default = false,
	custom = {
		states = {
			{text = "<LOC _No>", key = false },
			{text = "<LOC _Yes>", key = true },
		},
	},
})
table.insert(options.ui.items, {
	title = "Go To Alert Camera Mode",
	tip = "Define the behavior of the camera when you press Alt-X (Go To Last Alert)",
	key = "alertcam_mode",
	type = 'toggle',
	default = 2,
	custom = {
		states = {
			#{text = "Move to map then to alert", key = 1 },
			{text = "Move to alert", key = 2 },
			{text = "Snap to alert", key = 3 },
			{text = "Snap to map", key = 4 },
			{text = "Snap to map then move to alert", key = 5 },
		},
	},
})
table.insert(options.ui.items, {
	title = "Go To Alert Camera Move Time",
	key = "alertcam_time",
	type = 'slider',
	default = 1,
	custom = {
		min = 1,
		max = 5,
		inc = 1,
	},
})
table.insert(options.ui.items, {
	title = "Go To Alert Camera Target Zoom",
	key = "alertcam_zoom",
	type = 'slider',
	default = 30,
	custom = {
		min = 11,
		max = 480,
		inc = 1,
	},
})